ThrowsTag (Doclet API )
Keywords: com.sun.javadoc.ThrowsTag interface
Date: 2015-07-19

com.sun.javadoc

## Interface ThrowsTag

- All Superinterfaces:
    Tag

      public interface ThrowsTag
      extends Tag

  Represents a @throws or @exception documentation tag. Parses and holds the exception name and exception comment. Note: @exception is a backwards compatible synonymy for @throws.
  See Also:
    `ExecutableMemberDoc.throwsTags()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassDoc` | `exception()` Return a `ClassDoc` that represents the exception.
    `String` | `exceptionComment()` Return the exception comment associated with this `ThrowsTag`.
    `String` | `exceptionName()` Return the name of the exception associated with this `ThrowsTag`.
    `Type` | `exceptionType()` Return the type of the exception associated with this `ThrowsTag`.

    - ### Methods inherited from interface com.sun.javadoc.Tag

      `firstSentenceTags, holder, inlineTags, kind, name, position, text, toString`

- - ### Method Detail

    - #### exceptionName

          String exceptionName()

      Return the name of the exception associated with this `ThrowsTag`.
      Returns:
        name of the exception.

    - #### exceptionComment

          String exceptionComment()

      Return the exception comment associated with this `ThrowsTag`.
      Returns:
        exception comment.

    - #### exception

          ClassDoc exception()

      Return a `ClassDoc` that represents the exception. If the type of the exception is a type variable, return the `ClassDoc` of its erasure.

      This method cannot accommodate certain generic type constructs. The `exceptionType` method should be used instead.

      Returns:
        `ClassDoc` that represents the exception.
      See Also:
        `exceptionType()`

    - #### exceptionType

          Type exceptionType()

      Return the type of the exception associated with this `ThrowsTag`. This may be a `ClassDoc` or a `TypeVariable`.
      Returns:
        the type of the exception.
      Since:
        1.5

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 1993, 2015, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.